%define upstream_name    Math-MPFR
%define upstream_version 3.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to the MPFR (floating point) library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: gmp-devel
BuildRequires: mpfr-devel
%description
A bigfloat module utilizing the MPFR library. Basically
this module simply wraps the 'mpfr' floating point functions
provided by that library. Operator overloading is also available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README V demos
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.320.0-2.mga6
+ Revision: 1029699
- Rebuild for perl 5.22.2

* Sat Mar 05 2016 shlomif <shlomif> 3.320.0-1.mga6
+ Revision: 986134
- update to 3.32

* Wed Feb 10 2016 shlomif <shlomif> 3.300.0-1.mga6
+ Revision: 953225
- update to 3.30

* Fri Jan 15 2016 shlomif <shlomif> 3.290.0-1.mga6
+ Revision: 923278
- update to 3.29

* Thu Nov 26 2015 shlomif <shlomif> 3.280.0-1.mga6
+ Revision: 906196
- New version 3.28

* Wed Jul 08 2015 sander85 <sander85> 3.250.0-1.mga6
+ Revision: 852854
- update to 3.25

* Thu Jun 25 2015 shlomif <shlomif> 3.240.0-2.mga6
+ Revision: 842869
- Fix BRs and description
- imported package perl-Math-MPFR


* Tue May 12 2015 cpan2dist 3.24-1mga
- initial mageia release, generated with cpan2dist
